Skip to content

Create Plant

POST
/api/creative/plot/plants

Create a narrative plant.

PlantCreateRequest

Create a narrative plant.

object
title
required
Title

Plant title

string
>= 1 characters <= 500 characters
description
Description

What is being planted

string
""
plantType
Planttype

Plant classification

string
default: establishing
Allowed values: establishing reveal soft
plantStatus
Plantstatus

Lifecycle status

string
default: planted
Allowed values: planted tapped paid_off orphaned red_herring
plantedAtNodeId
Any of:
string
payoffAtNodeId
Any of:
string
plotlineId
Any of:
string
lastTappedAtNodeId
Any of:
string
visibility
Visibility

How obvious

string
default: medium
Allowed values: hidden subtle medium obvious
notes
Notes

Author notes

string
""

Successful Response

PlantResponse

Single plant response.

object
status
required
Status

Operation status

string
data
required
PlotPlant

The plant

object
id
required
Id

Plant UUID

string
projectId
required
Projectid

Owning project

string
title
required
Title

Plant title

string
description
Description

What is being planted

string
""
plantType
Planttype

Plant classification

string
default: establishing
Allowed values: establishing reveal soft
plantStatus
Plantstatus

Lifecycle status

string
default: planted
Allowed values: planted tapped paid_off orphaned red_herring
plantedAtNodeId
Any of:
string
payoffAtNodeId
Any of:
string
plotlineId
Any of:
string
lastTappedAtNodeId
Any of:
string
visibility
Visibility

How obvious the plant is

string
default: medium
Allowed values: hidden subtle medium obvious
notes
Notes

Author notes

string
""
plantedAtNodeTitle
Plantedatnodetitle

Plant node title (denormalized)

string
""
payoffAtNodeTitle
Payoffatnodetitle

Payoff node title (denormalized)

string
""
lastTappedAtNodeTitle
Lasttappedatnodetitle

Last tap node title (denormalized)

string
""
plotlineTitle
Plotlinetitle

Plotline title (denormalized)

string
""
createdAt
required
Createdat

Created timestamp (ms)

integer
modifiedAt
required
Modifiedat

Modified timestamp (ms)

integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object